> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List applications

> List all applications for the project



## OpenAPI

````yaml /api-reference/api.json get /v1/applications
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: >-
    REST API for triggering and managing AI-powered test runs. Authenticate with
    a project API token (Authorization: Bearer <token>) found in Project
    Settings -> Integrations.
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
paths:
  /v1/applications:
    get:
      tags:
        - Applications
      summary: List applications
      description: List all applications for the project
      operationId: ListApplications
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListApplicationsResponse'
components:
  schemas:
    ListApplicationsResponse:
      type: object
      required:
        - applications
      properties:
        applications:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationItem'
    ApplicationItem:
      type: object
      required:
        - shortId
        - name
        - kind
      properties:
        shortId:
          $ref: '#/components/schemas/ApplicationShortId'
        name:
          type: string
        kind:
          type: string
    ApplicationShortId:
      type: string
      pattern: ^app(-.+_.+|_.+)$
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````